commit:     89befa3c4e74a2f6cba6ce747be706b3aac6d7aa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 11 03:19:26 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 11 03:23:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89befa3c

dev-python/xarray: Bump to 2025.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xarray/Manifest               |   1 +
 dev-python/xarray/xarray-2025.7.1.ebuild | 121 +++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 8945f4db6873..b005800bbc6e 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,2 +1,3 @@
 DIST xarray-2025.6.1.tar.gz 3003185 BLAKE2B 
a75f68947922e922dad94dc6ab5454d9d2b2ec993e5fd06d760b2e3685b3feda2a88fb879e7ebb353b35dea5540fa8899eb8cba33ab0e5f9b59cb3fd885de1af
 SHA512 
4fc7980f843f86c8e83015fbf9ea2c8440b046faaa1589a605cf1e2f64f9380e28e157c8afda5c0058b3fe8cfe01122ba8582f5d61b9f0eabdf7107ce6d81c0c
 DIST xarray-2025.7.0.tar.gz 3005754 BLAKE2B 
5e1cf6f1a845a9d38fee6f639016c79b14c10922fa96d241cea0a0a35d2c784ce98cfeb70ea49e03de0fd82d966e9656482caa380b48dbace7cf26b31a34b2fb
 SHA512 
3cfe560c261cdd6a6c64cf100951e92cf63fff835dfa82ee7d1c7578ff808706905fbc2a1ae65a0db1c5abead203be43aff4771420f6851bfc357bacca4ffc95
+DIST xarray-2025.7.1.tar.gz 3013717 BLAKE2B 
37abbeec6736745a9a0cc098bfdb36b76c5b07a1f762a3207e7a69bda1670ad464c328daabcb5845f65dcb0b9901f045c633fb12fed4524bcc7dacfcc259e65b
 SHA512 
446e50cfa16a3ba54124dc9417203ea96f6232e05515de38dc191b06ee417e165fd2faefaf4718eddb9620d32675abc6c2125ac7555759eb003263a70662cb7e

diff --git a/dev-python/xarray/xarray-2025.7.1.ebuild 
b/dev-python/xarray/xarray-2025.7.1.ebuild
new file mode 100644
index 000000000000..5181ca91ad2e
--- /dev/null
+++ b/dev-python/xarray/xarray-2025.7.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+       https://xarray.pydata.org/
+       https://github.com/pydata/xarray/
+       https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+       >=dev-python/numpy-1.26[${PYTHON_USEDEP}]
+       >=dev-python/pandas-2.2[${PYTHON_USEDEP}]
+       >=dev-python/packaging-24.1[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/bottleneck[${PYTHON_USEDEP}]
+               dev-python/cftime[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               !riscv? ( !x86? (
+                       >=dev-python/netcdf4-1.6.0[bzip2,szip,${PYTHON_USEDEP}]
+               ) )
+               dev-python/toolz[${PYTHON_USEDEP}]
+               !hppa? ( >=dev-python/scipy-1.13[${PYTHON_USEDEP}] )
+       )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO: these fail with filter errors even if netcdf4 is built
+               # with blosc/zstd support
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[zstd]'
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[blosc_lz]'
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[blosc_lz4]'
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[blosc_lz4hc]'
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[blosc_zlib]'
+               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_compression_encoding[blosc_zstd]'
+       )
+
+       if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+               EPYTEST_DESELECT+=(
+                       
'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+               )
+
+               if ! has_version "dev-python/scipy[${PYTHON_USEDEP}]" ; then
+                       EPYTEST_DESELECT+=(
+                               
xarray/tests/test_calendar_ops.py::test_interp_calendar
+                       )
+               fi
+       fi
+
+       if use big-endian ; then
+               EPYTEST_DESELECT+=(
+                       # Appears to be a numpy issue in display? See bug 
#916460.
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+               )
+       fi
+
+       if [[ ${ABI} != *64* ]]; then
+               EPYTEST_DESELECT+=(
+                       # these tests hardcode object sizes for 64-bit arches
+                       # https://github.com/pydata/xarray/issues/9127
+                       
xarray/tests/test_dataarray.py::TestDataArray::test_repr_multiindex
+                       
xarray/tests/test_dataarray.py::TestDataArray::test_repr_multiindex_long
+                       xarray/tests/test_dataset.py::TestDataset::test_repr
+                       
xarray/tests/test_dataset.py::TestDataset::test_repr_multiindex
+                       
xarray/tests/test_datatree.py::TestRepr::test_doc_example
+                       
xarray/tests/test_datatree.py::TestRepr::test_repr_truncates_nodes
+                       
xarray/tests/test_formatting.py::test_array_repr_dtypes_unix
+
+                       # converting timestamps into ns, causing an overflow
+                       xarray/tests/test_cftimeindex.py::test_asi8
+                       
xarray/tests/test_coding_times.py::test_decode_cf_time_bounds
+                       
xarray/tests/test_coding_times.py::test_use_cftime_false_standard_calendar_in_range
+                       
xarray/tests/test_coding_times.py::test_decode_cf_datetime_non_standard_units
+               )
+       fi
+
+       case ${ARCH} in
+               arm64)
+                       EPYTEST_DESELECT+=(
+                               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_roundtrip_mask_and_scale[dtype0-create_unsigned_false_masked_scaled_data-create_encoded_unsigned_false_masked_scaled_data]'
+                               
'xarray/tests/test_backends.py::TestNetCDF4Data::test_roundtrip_mask_and_scale[dtype1-create_unsigned_false_masked_scaled_data-create_encoded_unsigned_false_masked_scaled_data]'
+                       )
+                       ;;
+       esac
+
+       if ! has_version "dev-python/seaborn[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       xarray/tests/test_plot.py::TestContour::test_colors
+               )
+       fi
+
+       epytest -o addopts=
+}

Reply via email to